Upstream information

CVE-2017-12877 at MITRE

Description

Use-after-free vulnerability in the DestroyImage function in image.c in ImageMagick before 7.0.6-6 allows remote attackers to cause a denial of service via a crafted file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 5.1
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium High
Authentication None None
Confidentiality Impact None Partial
Integrity Impact None Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 5.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1054029 [RESOLVED / WORKSFORME]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 ImageMagick Already fixed
SUSE Enterprise Storage 7.1 ImageMagick Already fixed
SUSE Linux Enterprise Real Time 15 SP3 ImageMagick Already fixed
SUSE Linux Enterprise Server 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Server 12-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 ImageMagick Not affected
SUSE Manager Proxy 4.2 ImageMagick Already fixed
SUSE Manager Retail Branch Server 4.2 ImageMagick Already fixed
SUSE Manager Server 4.2 ImageMagick Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS ImageMagick Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 ImageMagick Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 ImageMagick Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 ImageMagick Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP1 ImageMagick Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP2 ImageMagick Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP3 ImageMagick Already fixed
SUSE Linux Enterprise Server 12 SP2-BCL ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 15 SP1 ImageMagick Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS ImageMagick Already fixed
SUSE Linux Enterprise Server 15 SP2 ImageMagick Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS ImageMagick Already fixed
SUSE Linux Enterprise Server 15 SP3 ImageMagick Already fixed
SUSE Linux Enterprise Server 15 SP3-LTSS ImageMagick Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 15 ImageMagick Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 ImageMagick Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 ImageMagick Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 ImageMagick Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 ImageMagick Not affected
SUSE CaaS Platform 4.0 ImageMagick Already fixed
SUSE Enterprise Storage 6 ImageMagick Already fixed
SUSE Linux Enterprise Desktop 11 SP4 GraphicsMagick Not affected
SUSE Linux Enterprise Desktop 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP2 ImageMagick Affected
SUSE Linux Enterprise Desktop 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Desktop 15 ImageMagick Already fixed
SUSE Linux Enterprise Desktop 15 SP1 ImageMagick Already fixed
SUSE Linux Enterprise Desktop 15 SP2 ImageMagick Already fixed
SUSE Linux Enterprise Desktop 15 SP3 ImageMagick Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 ImageMagick Already fixed
SUSE Linux Enterprise Module for Development Tools 15 ImageMagick Already fixed
SUSE Linux Enterprise Real Time 15 SP2 ImageMagick Already fixed
SUSE Linux Enterprise Server 11 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP4 GraphicsMagick Not affected
SUSE Linux Enterprise Server 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3-BCL ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS ImageMagick Not affected
SUSE Linux Enterprise Server 15 ImageMagick Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL ImageMagick Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL ImageMagick Already fixed
SUSE Linux Enterprise Server 15 SP3-BCL ImageMagick Already fixed
SUSE Linux Enterprise Server 15-LTSS ImageMagick Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 GraphicsMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 GraphicsMagick Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP4 ImageMagick Not affected
SUSE Manager Proxy 4.0 ImageMagick Already fixed
SUSE Manager Proxy 4.1 ImageMagick Already fixed
SUSE Manager Retail Branch Server 4.0 ImageMagick Already fixed
SUSE Manager Retail Branch Server 4.1 ImageMagick Already fixed
SUSE Manager Server 4.0 ImageMagick Already fixed
SUSE Manager Server 4.1 ImageMagick Already fixed
SUSE OpenStack Cloud 7 ImageMagick Not affected
SUSE OpenStack Cloud 8 ImageMagick Not affected
SUSE OpenStack Cloud 9 ImageMagick Not affected
SUSE OpenStack Cloud Crowbar 8 ImageMagick Not affected
SUSE OpenStack Cloud Crowbar 9 ImageMagick Not affected
SUSE Studio Onsite 1.3 GraphicsMagick Not affected


SUSE Timeline for this CVE

CVE page created: Wed Aug 16 14:05:03 2017
CVE page last modified: Fri Jan 20 13:45:54 2023